SelfDescribing (jMock API Documentation)
Keywords: org.jmock.core.SelfDescribing interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jmock.core
Interface SelfDescribing

All Known Subinterfaces:
  Constraint, InvocationDispatcher, InvocationMatcher, Invokable, Stub

All Known Implementing Classes:
  AbstractInvocationDispatcher, And, AnyArgumentsMatcher, ArgumentsMatcher, CustomStub, DefaultResultStub, DoAllAcceptanceTest.AddElementStub, DoAllStub, FIFOInvocationDispatcher, HasProperty, HasPropertyWithValue, HasToString, Invocation, InvocationMocker, InvokeAtLeastOnceMatcher, InvokeAtMostOnceMatcher, InvokeCountMatcher, InvokedAfterMatcher, InvokedRecorder, InvokeOnceMatcher, IsAnything, IsArrayContaining, IsCloseTo, IsCollectionContaining, IsCompatibleType, IsEqual, IsEventFrom, IsGreaterThan, IsIn, IsInstanceOf, IsLessThan, IsMapContaining, IsNot, IsNothing, IsNull, IsSame, LIFOInvocationDispatcher, MethodNameMatcher, NoArgumentsMatcher, Or, ReturnIteratorStub, ReturnStub, StatelessInvocationMatcher, StringContains, StringEndsWith, StringStartsWith, StubSequence, SubstringConstraint, TestFailureMatcher, TestFailureStub, ThrowStub, VoidStub

    public interface SelfDescribing

An object that can describe itself. Used when reporting a missed expectation in a test case.

Since:
  1.0

Method Summary
`StringBuffer` | `describeTo(StringBuffer buffer)` Appends the description of this object to the buffer.

Method Detail

### describeTo

    StringBuffer describeTo(StringBuffer buffer)

  Appends the description of this object to the buffer.

  Parameters:
    `buffer` - The buffer that the description is appended to.
  Returns:
    The buffer passed to the invokedMethod.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD